| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::AbstractProtocolInterface Class Reference
Connection manager service implementation

Base class for all the Protocol object interface implementations. More...

`#include <TelepathyQt/AbstractProtocolInterface>`

Inherits Tp::AbstractDBusServiceInterface.

Inherited by Tp::BaseProtocolAddressingInterface, Tp::BaseProtocolAvatarsInterface, and Tp::BaseProtocolPresenceInterface.

## Public Member Functions

| AbstractProtocolInterface (const QString &interfaceName)
virtual | ~AbstractProtocolInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
virtual QVariantMap | immutableProperties () const =0
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
virtual void | createAdaptor ()=0
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Detailed Description

Base class for all the Protocol object interface implementations.

## Constructor & Destructor Documentation

Tp::AbstractProtocolInterface::AbstractProtocolInterface | ( | const QString & | interfaceName | ) |

Tp::AbstractProtocolInterface::~AbstractProtocolInterface | ( |  | ) |

virtual